package cn.com.poc.ai_dialogues.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.ai_dialogues.entity.BizAiDialoguesGuessYouAskEntity;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;

public interface BizAiDialoguesGuessYouAskService extends BaseService {

    BizAiDialoguesGuessYouAskEntity get(java.lang.Long id) throws Exception;

    List<BizAiDialoguesGuessYouAskEntity> findByExample(BizAiDialoguesGuessYouAskEntity example,PagingInfo pagingInfo) throws Exception;
    
    BizAiDialoguesGuessYouAskEntity save(BizAiDialoguesGuessYouAskEntity entity) throws Exception;

    BizAiDialoguesGuessYouAskEntity update(BizAiDialoguesGuessYouAskEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;
    
}